<template>
    <div>
        <label for="name">Municipio</label>
        <select 
            :value="value"
            class="form-control form-control-md" 
            required
            @change="onChange"
        >
            <option 
                selected="true" 
                disabled="disabled"
                :value="0"
            >
                Selecciona Municipio
            </option>
            <option 
                v-for="(municipio, index) in municipios"
                :key="index"
                :value="municipio.id_municipio"
            >
                {{ municipio.municipio}}
            </option>
        </select>
        <div style="font-size: 12; color: tomato;">{{ error }}</div>
    </div>
</template>

<script>

export default {

    props: {
        value: {
            type: Number,
            default: 0
        },
        municipios: {
            type: Array,
            default: []
        },
        error: {
            type: String,
            default: ""
        }
    },

    data: () => {
        return {
            
        }
    },

    methods: {
        onChange(event) {

            this.$emit('input', parseInt(event.target.value));
            this.$emit('change');
        }
    }
}
</script>